#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Lotus Sametime library
Summary(pl.UTF-8):	Biblioteka Lotus Sametime
Name:		meanwhile
Version:	1.0.2
Release:	5
License:	LGPL v2+
Group:		Libraries
Source0:	http://dl.sourceforge.net/meanwhile/%{name}-%{version}.tar.gz
# Source0-md5:	bf4ced109a367b4c5d71fe63c043270e
Patch0:		%{name}-glib-includes.patch
Patch1:		%{name}-static-build.patch
Patch2:		format-security.patch
URL:		http://meanwhile.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	glib2-devel >= 2.0.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The heart of the Meanwhile Project is the Meanwhile library, providing
the basic Lotus Sametime session functionality along with the core
services: Presence Awareness, Instant Messaging, Multi-user
Conferencing, Preferences Storage, Identity Resolution, and File
Transfer. This extensible client interface allows additional services
to be added to a session at runtime, allowing for simple integration
of future service handlers such as the user directory and whiteboard
and screen-sharing.

%description -l pl.UTF-8
Sercem projektu Meanwhile jest biblioteka Meanwhile udostępniająca
podstawową funkcjonalność sesji Lotus Sametime wraz z głównymi
usługami: sprawdzaniem obecności, komunikatorem, konferencją
wieloużytkownikową, przechowywaniem ustawień, sprawdzaniem tożsamości
i przesyłaniem plików. Ten rozszerzalny interfejs kliencki umożliwia
dodawanie dodatkowych usług do sesji w czasie pracy, pozwalając na
prostą integrację obsługi przyszłych usług, takich jak katalog
użytkowników czy współdzielenie tablicy i ekranu.

%package devel
Summary:	Header files for meanwhile library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki meanwhile
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 2.0.0

%description devel
This is the package containing the header files for meanwhile.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki meanwhile.

%package static
Summary:	Static meanwhile library
Summary(pl.UTF-8):	Statyczna biblioteka meanwhile
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static meanwhile library.

%description static -l pl.UTF-8
Statyczna biblioteka meanwhile.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}

%configure \
	%{__enable_disable static_libs static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmeanwhile.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmeanwhile.so.1

%files devel
%defattr(644,root,root,755)
%doc %{_docdir}/%{name}-doc-%{version}
%attr(755,root,root) %{_libdir}/libmeanwhile.so
%{_libdir}/libmeanwhile.la
%{_includedir}/meanwhile
%{_pkgconfigdir}/meanwhile.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libmeanwhile.a
%endif
%changelog
* Thu Mar 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/meanwhile.git;a=log;h=master

* Thu Mar 14 2019 Jan Palus <atler@pld-linux.org> ab837fc
- release 5 (by relup.sh)

* Wed Apr 01 2015 Witold Filipczyk <witekfl@poczta.onet.pl> d9119ab
- forgotten patch

* Wed Apr 01 2015 Witold Filipczyk <witekfl@poczta.onet.pl> 49ee45e
- added format-security.patch

* Mon Feb 27 2012 Marcin Banasiak <marcin.banasiak@gmail.com> c5ce405
- added -glib-includes.patch and -static-build.patch
- ghost soname symlink
- release 3

* Mon Feb 27 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 86b9662
- do not enforce shared only build

* Mon Feb 27 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 7f2db7e
- fix glib includes

* Sat Dec 29 2007 Elan Ruusamäe <glen@pld-linux.org> 8018cb7
- rel 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 70911c9
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8df6053
- converted to UTF-8

* Tue Nov 07 2006 adgor <adgor@pld-linux.org> 809f9d6
- BR doxygen

* Tue Oct 10 2006 Elan Ruusamäe <glen@pld-linux.org> fea984d
- updated to 1.0.2

* Mon Oct 03 2005 Jakub Bogusz <qboosh@pld-linux.org> 0e416fe
- md5

* Mon Oct 03 2005 Jakub Bogusz <qboosh@pld-linux.org> d61b033
- pl, libtoolize, fixed BRs

* Tue Sep 27 2005 djurban <djurban@pld-linux.org> 9137480
- lotus sametime lirbary for kopete 3.5

